# Uses of Class
com.usatiuk.dhfs.repository.CanDeleteReply

Packages that use CanDeleteReply
Package
Description
com.usatiuk.dhfs.repository
com.usatiuk.dhfs.rpc

## Uses of CanDeleteReply in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return CanDeleteReply
Modifier and Type
Method
Description
`CanDeleteReply`
CanDeleteReply.Builder.`build()`
`CanDeleteReply`
CanDeleteReply.Builder.`buildPartial()`
`CanDeleteReply`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub.`canDelete(CanDeleteRequest request)`
`static CanDeleteReply`
CanDeleteReply.`getDefaultInstance()`
`CanDeleteReply`
CanDeleteReply.Builder.`getDefaultInstanceForType()`
`CanDeleteReply`
CanDeleteReply.`getDefaultInstanceForType()`
`static CanDeleteReply`
CanDeleteReply.`parseDelimitedFrom(InputStream input)`
`static CanDeleteReply`
CanDeleteReply.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(byte[] data)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(com.google.protobuf.ByteString data)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(InputStream input)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(ByteBuffer data)`
`static CanDeleteReply`
CanDeleteReply.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type CanDeleteReply
Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<CanDeleteReply>`
DhfsObjectSyncGrpc.`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
DhfsObjectSyncGrpcBean.`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
DhfsObjectSyncGrpcClient.`canDelete(CanDeleteRequest request)`
`com.google.common.util.concurrent.ListenableFuture<CanDeleteReply>`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub.`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase.`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub.`canDelete(CanDeleteRequest request)`
`static io.grpc.MethodDescriptor<CanDeleteRequest,CanDeleteReply>`
DhfsObjectSyncGrpcGrpc.`getCanDeleteMethod()`
`com.google.protobuf.Parser<CanDeleteReply>`
CanDeleteReply.`getParserForType()`
`static com.google.protobuf.Parser<CanDeleteReply>`
CanDeleteReply.`parser()`
Methods in com.usatiuk.dhfs.repository with parameters of type CanDeleteReply
Modifier and Type
Method
Description
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`mergeFrom(CanDeleteReply other)`
`static CanDeleteReply.Builder`
CanDeleteReply.`newBuilder(CanDeleteReply prototype)`
Method parameters in com.usatiuk.dhfs.repository with type arguments of type CanDeleteReply
Modifier and Type
Method
Description
`default void`
DhfsObjectSyncGrpcGrpc.AsyncService.`canDelete(CanDeleteRequest request, io.grpc.stub.StreamObserver<CanDeleteReply> responseObserver)`
`void`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub.`canDelete(CanDeleteRequest request, io.grpc.stub.StreamObserver<CanDeleteReply> responseObserver)`

## Uses of CanDeleteReply in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return types with arguments of type CanDeleteReply
Modifier and Type
Method
Description
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,CanDeleteReply>>`
RemoteObjectServiceClient.`canDelete(Collection<PeerId> targets, JObjectKey objKey)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
RemoteObjectServiceServer.`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
RemoteObjectServiceServerImpl.`canDelete(PeerId from, CanDeleteRequest request)`